=== debian/changelog ===
mew (1:6.9-1) experimental; urgency=medium

  * New upstream version 6.9
  * Don't set no-native-compile to native compile with Emacs 28
  * Use shell functions for PACKAGE and CHG_SUFFIX
  * Drop debian/patches except 010_contrib and 020_locale-utf8
  * Drop emacs25 and emacs24
  * Adjust renamed files for Mew 6.9
  * Update debian/copyright

 -- Tatsuya Kinoshita <tats@debian.org>  Tue, 14 Feb 2023 20:10:12 +0900

mew (1:6.8-17) unstable; urgency=medium

  * Enable inhibit-automatic-native-compilation when byte-compiling
  * Enable byte-compile-warnings when byte-compiling
  * Update debian/copyright

 -- Tatsuya Kinoshita <tats@debian.org>  Sun, 08 Jan 2023 22:23:30 +0900

mew (1:6.8-16) unstable; urgency=medium

  [ Jenkins ]
  * Use secure URI in Homepage field.
  * Update renamed lintian tag names in lintian overrides.
  * Update standards version to 4.6.0, no changes needed.
  * Remove empty maintainer scripts: mew (prerm), mew (postinst)

  [ Debian Janitor ]
  * Update lintian override info format in d/mew-bin.lintian-overrides
  * Update standards version to 4.6.1, no changes needed.
  * Remove constraints unnecessary since buster (closes: #1013833)

  [ Tatsuya Kinoshita ]
  * New patch 160_dotimes.patch to avoid non-lexbind dotimes for Emacs 29
  * Remove unnecessary gnupg2 dependency
  * Avoid egrep in maintainer scripts
  * Update debian/copyright
  * Leave a compilation log
  * Prevent native compilation when byte-compiling
  * Relax dependencies on emacs flavors
  * Update debian/copyright to integrate contrib into debian/patches
  * Update Standards-Version to 4.6.2

 -- Tatsuya Kinoshita <tats@debian.org>  Sat, 17 Dec 2022 14:52:55 +0900

mew (1:6.8-15) unstable; urgency=medium

  * Use command -v instead of which in mewstunnel
  * Update no-native-compile handling

 -- Tatsuya Kinoshita <tats@debian.org>  Sat, 21 Aug 2021 16:57:59 +0900

mew (1:6.8-14) unstable; urgency=medium

  * New patch 140_imap-fetch.patch to prevent redundant blank line
  * New patch 150_cache-save.patch to fix misuse of decode-syntax
  * Set mew-field-comment to empty as workaround for Gmail
  * Update documents for SSL/TLS
  * Set no-native-compile to t in *.el files for Emacs 28

 -- Tatsuya Kinoshita <tats@debian.org>  Sun, 15 Aug 2021 21:19:23 +0900

mew (1:6.8-13) unstable; urgency=medium

  * New patch 020_locale-utf8.patch to use the C.UTF-8 locale
  * Update dot.mew-theme-subdued.el
  * Update debian/copyright

 -- Tatsuya Kinoshita <tats@debian.org>  Sat, 06 Feb 2021 14:23:43 +0900

mew (1:6.8-12) unstable; urgency=medium

  * New patch 130_smtp-ssl-port.patch to correct Smtplog
  * Add dot.mew-theme-subdued.el to examples
  * Update debian/copyright
  * Update README.Debian for STARTTLS

 -- Tatsuya Kinoshita <tats@debian.org>  Sun, 31 Jan 2021 17:46:00 +0900

mew (1:6.8-11) unstable; urgency=medium

  * New patch 110_autocrypt.patch to hide the Autocrypt header
  * New patch 120_header-max.patch to increase mew-header-max-length
  * Update README.Debian to mention mew-dcc and mew-proto
  * Update README.Debian for TLS/SSL and OpenSSL ciphers
  * Add sample configuration for OpenSSL ciphers to emacsen-startup

 -- Tatsuya Kinoshita <tats@debian.org>  Fri, 22 Jan 2021 21:53:32 +0900

mew (1:6.8-10) unstable; urgency=medium

  * New patch 090_x-mailer.patch for Emacs micro version
  * New patch 100_pgp-export.patch to fix mew-attach-pgp-public-key
  * Update README.Debian for TLS/SSL

 -- Tatsuya Kinoshita <tats@debian.org>  Sun, 17 Jan 2021 09:28:46 +0900

mew (1:6.8-9) unstable; urgency=medium

  * Don't install XEmacs specific contrib/mew-toolbar-frame.el
  * Update debian/copyright

 -- Tatsuya Kinoshita <tats@debian.org>  Sat, 09 Jan 2021 08:25:26 +0900

mew (1:6.8-8) unstable; urgency=medium

  * Set mew-image-alist for Netpbm 10.0 in emacsen-startup
  * Drop 020_netpbm.patch
  * Update debian/copyright
  * Update debian/watch to version 4
  * Update Standards-Version to 4.5.1

 -- Tatsuya Kinoshita <tats@debian.org>  Sun, 03 Jan 2021 23:39:45 +0900

mew (1:6.8-7) unstable; urgency=medium

  * New patch 080_coding-priority.patch for Emacs 28
  * Add debian/upstream/metadata
  * Update debhelper-compat to 13
  * No longer recompile mhc

 -- Tatsuya Kinoshita <tats@debian.org>  Sat, 05 Sep 2020 10:12:47 +0900
