=== debian/control ===
Source: mew
Section: mail
Priority: optional
Maintainer: Tatsuya Kinoshita <tats@debian.org>
Build-Depends: debhelper-compat (= 13), zlib1g-dev
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/debian/mew
Vcs-Git: https://salsa.debian.org/debian/mew.git
Homepage: https://www.mew.org/
Rules-Requires-Root: binary-targets

Package: mew
Section: lisp
Architecture: all
Depends: mew-bin, emacsen-common, ${misc:Depends}
Recommends: emacs-nox | emacs
Suggests: sensible-utils, w3m-el, gnupg | gnupg1, gpgsm, ssh, wv, xlhtml, ppthtml, compface, netpbm, x-face-el, mu-cite, mule-ucs, bogofilter | bsfilter | spamassassin, hyperestraier, namazu2, namazu2-index-tools, mhc
Replaces: mew-beta
Conflicts: mew-beta
Provides: mail-reader, imap-client, news-reader
Description: mail reader supporting PGP/MIME for Emacs
 Mew (Messaging in the Emacs World) is a user interface for text messages,
 multimedia messages (MIME), news articles and security functionality
 including PGP, S/MIME, SSH and SSL.
 .
 The features of Mew are as follows:
 .
  - POP, SMTP, NNTP and IMAP are supported.
  - You can easily display a very complicated structured message.
  - You can start to read messages before they are all fully listed.
  - For refiling, default folders are neatly suggested.
  - You can complete field names, e-mail addresses, receiver's names,
    domain names and folder names.
  - You can easily search messages with keywords etc.
  - Thread, a mechanism to display the flow of messages, is supported.

Package: mew-bin
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: stunnel4 | stunnel, ca-certificates, ruby, ruby-sqlite3
Suggests: hyperestraier
Enhances: mew, gnupg-agent
Replaces: mew-beta-bin
Conflicts: mew-beta-bin
Provides: mail-reader, pinentry
Description: external commands for Mew
 The mew-bin package contains external commands for the mew package.
 .
  - mewencode: encode/decode MIME objects
  - mewl: extract necessary fields from messages stored in folders
  - incm: incorporate new mails from maildir or mbox to Mew's inbox folder
  - mewest: update indexes of Hyper Estraier
  - mew-pinentry: front end of gpg-agent to ask a passphrase to a user
  - mewstunnel: wrapper script for using stunnel
  - cmew: create Mew's database file
  - smew: search related messages from Mew's database file
